summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorNirbheek Chauhan <nirbheek@gentoo.org>2009-06-04 11:38:56 +0530
committerNirbheek Chauhan <nirbheek@gentoo.org>2009-06-04 13:16:40 +0530
commit8b8492585674ebaf4309db42c11ea3213a21959e (patch)
tree4775c4f2a6edb01bc2f5882a99d5e480db0ea18f
parentbdf972da9c9328c894499063f3fc629473923c96 (diff)
x11-libs/pango: Sync with tree
-rw-r--r--x11-libs/pango/Manifest2
-rw-r--r--x11-libs/pango/pango-9999.ebuild65
2 files changed, 34 insertions, 33 deletions
diff --git a/x11-libs/pango/Manifest b/x11-libs/pango/Manifest
index dc45702..4ca4041 100644
--- a/x11-libs/pango/Manifest
+++ b/x11-libs/pango/Manifest
@@ -1 +1 @@
-EBUILD pango-9999.ebuild 1750 RMD160 51dc62032e1ab22ced509634b1f9fdd913a2c80d SHA1 5adeba1e9372fe32e8a68cd94ed912ee9c48e345 SHA256 2f89cc3fbc08478e95146ed01279854c8e8eddbc2bdbca11ac779f389d14de58
+EBUILD pango-9999.ebuild 1954 RMD160 98339e8548101ff73c47161d7b69b5af6953bd55 SHA1 30a4c7ad1617764ee7686a905fe2e1dacb031c61 SHA256 f21e5a4a0b3af94fe3f18e1472330f926d9530e638bb8068bef58c8cbe7fb6f8
diff --git a/x11-libs/pango/pango-9999.ebuild b/x11-libs/pango/pango-9999.ebuild
index a3d72a4..986458c 100644
--- a/x11-libs/pango/pango-9999.ebuild
+++ b/x11-libs/pango/pango-9999.ebuild
@@ -1,6 +1,8 @@
-# Copyright 1999-2008 Gentoo Foundation
+# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/pango/pango-1.24.2.ebuild,v 1.1 2009/05/18 21:09:18 eva Exp $
+
+EAPI="2"
inherit eutils gnome2 multilib gnome2-live
@@ -9,51 +11,48 @@ HOMEPAGE="http://www.pango.org/"
LICENSE="LGPL-2 FTL"
SLOT="0"
-KEYWORDS="~amd64 ~x86"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~x86-fbsd"
IUSE="X debug doc"
-# glib-2.16.3 dependency instead of 2.14 ensures Unicode 5.1 support on the system
-RDEPEND=">=dev-libs/glib-2.16.3
- >=media-libs/fontconfig-1.0.1
- >=media-libs/freetype-2
- >=x11-libs/cairo-1.7.6
- X? (
- x11-libs/libXrender
- x11-libs/libX11
- x11-libs/libXft
- )"
+# FIXME: add gobject-introspection dependency when it is available
+RDEPEND=">=dev-libs/glib-2.17.3
+ >=media-libs/fontconfig-2.5.0
+ >=media-libs/freetype-2
+ >=x11-libs/cairo-1.7.6[X?,svg]
+ X? (
+ x11-libs/libXrender
+ x11-libs/libX11
+ x11-libs/libXft )"
DEPEND="${RDEPEND}
- >=dev-util/pkgconfig-0.9
- doc? (
- >=dev-util/gtk-doc-1
- ~app-text/docbook-xml-dtd-4.1.2
- )
- X? ( x11-proto/xproto )"
+ >=dev-util/pkgconfig-0.9
+ doc? (
+ >=dev-util/gtk-doc-1
+ ~app-text/docbook-xml-dtd-4.1.2 )
+ X? ( x11-proto/xproto )"
-DOCS="AUTHORS ChangeLog* NEWS README TODO*"
+DOCS="AUTHORS ChangeLog* NEWS README THANKS"
function multilib_enabled() {
- has_multilib_profile || ( use x86 && [ "$(get_libdir)" == "lib32" ] )
+ has_multilib_profile || ( use x86 && [ "$(get_libdir)" = "lib32" ] )
}
pkg_setup() {
- # Do NOT build with --disable-debug/--enable-debug=no
- if use debug ; then
- G2CONF="${G2CONF} --enable-debug=yes"
- fi
-
- G2CONF="${G2CONF} $(use_with X x)"
+ G2CONF="${G2CONF} $(use_with X x) $(use_enable debug)"
}
-src_unpack() {
- gnome2_src_unpack
-
+src_prepare() {
# make config file location host specific so that a 32bit and 64bit pango
# wont fight with each other on a multilib system. Fix building for
# emul-linux-x86-gtklibs
if multilib_enabled ; then
- epatch "${FILESDIR}/${PN}-1.2.5-lib64.patch"
+ PATHCES="${FILESDIR}/${PN}-1.2.5-lib64.patch"
fi
+
+ # gtk-doc checks do not pass, upstream bug #578944
+ sed 's:TESTS = check.docs: TESTS = :g'\
+ -i docs/Makefile.am || die "sed failed"
+
+ gnome2-live_src_prepare
}
src_install() {
@@ -62,7 +61,7 @@ src_install() {
}
pkg_postinst() {
- if [[ "${ROOT}" == "/" ]] ; then
+ if [ "${ROOT}" = "/" ] ; then
einfo "Generating modules listing..."
local PANGO_CONFDIR=
@@ -77,4 +76,6 @@ pkg_postinst() {
pango-querymodules > ${PANGO_CONFDIR}/pango.modules
fi
+
+ gnome2-live_pkg_postinst
}